// FontSelDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CFontSelDialog dialog
//{{AFX_INCLUDES()
#include "pvfontsel.h"
#include "pvbutton.h"
//}}AFX_INCLUDES

class CFontSelDialog : public CDialog
{
// Construction
public:
	CFontSelDialog(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CFontSelDialog)
	enum { IDD = IDD_FONTS };
	CStatic	m_text;
	CPVFontSel	m_fontsel;
	CPVButton	m_bold;
	CPVButton	m_italic;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFontSelDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CFontSelDialog)
	virtual BOOL OnInitDialog();
	afx_msg void OnFontNameChangeFontselctrl1();
	afx_msg void OnPointSizeChangeFontselctrl1();
	afx_msg void OnClickItalic();
	afx_msg void OnClickBold();
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void ChangeFont();
};
