// GraphicalControls.cpp : implementation file
//

#include "stdafx.h"
#include "allctls.h"
#include "GuiCtls.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CGraphicalControls dialog


CGraphicalControls::CGraphicalControls(CWnd* pParent /*=NULL*/)
	: CDialog(CGraphicalControls::IDD, pParent)
{
	//{{AFX_DATA_INIT(CGraphicalControls)
	//}}AFX_DATA_INIT
}


void CGraphicalControls::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CGraphicalControls)
	DDX_Control(pDX, IDC_DIAL32CTRL1, m_dial1);
	DDX_Control(pDX, IDC_DIAL32CTRL4, m_dial2);
	DDX_Control(pDX, IDC_DIAL32CTRL5, m_dial3);
	DDX_Control(pDX, IDC_PCTBAR32CTRL1, m_pctbar1);
	DDX_Control(pDX, IDC_PCTBAR32CTRL2, m_pctbar2);
	DDX_Control(pDX, IDC_PCTBAR32CTRL3, m_pctbar3);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CGraphicalControls, CDialog)
	//{{AFX_MSG_MAP(CGraphicalControls)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CGraphicalControls message handlers

BOOL CGraphicalControls::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_dial1.SetValue(25);
	m_pctbar1.SetValue(25);
	m_dial2.SetValue(50);
	m_pctbar2.SetValue(50);
	m_dial3.SetValue(75);
	m_pctbar3.SetValue(75);
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

BEGIN_EVENTSINK_MAP(CGraphicalControls, CDialog)
    //{{AFX_EVENTSINK_MAP(CGraphicalControls)
	ON_EVENT(CGraphicalControls, IDC_DIAL32CTRL1, 2 /* LineDown */, OnLineDownDial32ctrl1, VTS_I2 VTS_PI2)
	ON_EVENT(CGraphicalControls, IDC_DIAL32CTRL1, 3 /* LineUp */, OnLineUpDial32ctrl1, VTS_I2 VTS_PI2)
	ON_EVENT(CGraphicalControls, IDC_DIAL32CTRL1, 4 /* PageDown */, OnPageDownDial32ctrl1, VTS_I2 VTS_PI2)
	ON_EVENT(CGraphicalControls, IDC_DIAL32CTRL1, 5 /* PageUp */, OnPageUpDial32ctrl1, VTS_I2 VTS_PI2)
	ON_EVENT(CGraphicalControls, IDC_DIAL32CTRL1, 6 /* ThumbPosition */, OnThumbPositionDial32ctrl1, VTS_I2 VTS_PI2)
	ON_EVENT(CGraphicalControls, IDC_DIAL32CTRL5, 2 /* LineDown */, OnLineDownDial32ctrl5, VTS_I2 VTS_PI2)
	ON_EVENT(CGraphicalControls, IDC_DIAL32CTRL5, 3 /* LineUp */, OnLineUpDial32ctrl5, VTS_I2 VTS_PI2)
	ON_EVENT(CGraphicalControls, IDC_DIAL32CTRL5, 4 /* PageDown */, OnPageDownDial32ctrl5, VTS_I2 VTS_PI2)
	ON_EVENT(CGraphicalControls, IDC_DIAL32CTRL5, 5 /* PageUp */, OnPageUpDial32ctrl5, VTS_I2 VTS_PI2)
	ON_EVENT(CGraphicalControls, IDC_DIAL32CTRL5, 6 /* ThumbPosition */, OnThumbPositionDial32ctrl5, VTS_I2 VTS_PI2)
	ON_EVENT(CGraphicalControls, IDC_DIAL32CTRL4, 2 /* LineDown */, OnLineDownDial32ctrl4, VTS_I2 VTS_PI2)
	ON_EVENT(CGraphicalControls, IDC_DIAL32CTRL4, 3 /* LineUp */, OnLineUpDial32ctrl4, VTS_I2 VTS_PI2)
	ON_EVENT(CGraphicalControls, IDC_DIAL32CTRL4, 4 /* PageDown */, OnPageDownDial32ctrl4, VTS_I2 VTS_PI2)
	ON_EVENT(CGraphicalControls, IDC_DIAL32CTRL4, 5 /* PageUp */, OnPageUpDial32ctrl4, VTS_I2 VTS_PI2)
	ON_EVENT(CGraphicalControls, IDC_DIAL32CTRL4, 6 /* ThumbPosition */, OnThumbPositionDial32ctrl4, VTS_I2 VTS_PI2)
	//}}AFX_EVENTSINK_MAP
END_EVENTSINK_MAP()


void CGraphicalControls::OnLineDownDial32ctrl1(short Position, short FAR* TurnDial) 
{
	m_pctbar1.SetValue(Position);
}

void CGraphicalControls::OnLineUpDial32ctrl1(short Position, short FAR* TurnDial) 
{
	// TODO: Add your control notification handler code here
	m_pctbar1.SetValue(Position);
}

void CGraphicalControls::OnPageDownDial32ctrl1(short Position, short FAR* TurnDial) 
{
	// TODO: Add your control notification handler code here
	m_pctbar1.SetValue(Position);
	
}

void CGraphicalControls::OnPageUpDial32ctrl1(short Position, short FAR* TurnDial) 
{
	// TODO: Add your control notification handler code here
	m_pctbar1.SetValue(Position);
	
}

void CGraphicalControls::OnThumbPositionDial32ctrl1(short Position, short FAR* TurnDial) 
{
	// TODO: Add your control notification handler code here
	m_pctbar1.SetValue(Position);
	
}

void CGraphicalControls::OnLineDownDial32ctrl5(short Position, short FAR* TurnDial) 
{
	// TODO: Add your control notification handler code here
	m_pctbar3.SetValue(Position);	
}

void CGraphicalControls::OnLineUpDial32ctrl5(short Position, short FAR* TurnDial) 
{
	// TODO: Add your control notification handler code here
	m_pctbar3.SetValue(Position);	
	
}

void CGraphicalControls::OnPageDownDial32ctrl5(short Position, short FAR* TurnDial) 
{
	// TODO: Add your control notification handler code here
	m_pctbar3.SetValue(Position);	
	
}

void CGraphicalControls::OnPageUpDial32ctrl5(short Position, short FAR* TurnDial) 
{
	// TODO: Add your control notification handler code here
	m_pctbar3.SetValue(Position);	
	
}

void CGraphicalControls::OnThumbPositionDial32ctrl5(short Position, short FAR* TurnDial) 
{
	// TODO: Add your control notification handler code here
	m_pctbar3.SetValue(Position);	
	
}

void CGraphicalControls::OnLineDownDial32ctrl4(short Position, short FAR* TurnDial) 
{
	// TODO: Add your control notification handler code here
	m_pctbar2.SetValue(Position);	
}

void CGraphicalControls::OnLineUpDial32ctrl4(short Position, short FAR* TurnDial) 
{
	// TODO: Add your control notification handler code here
	m_pctbar2.SetValue(Position);	
	
}

void CGraphicalControls::OnPageDownDial32ctrl4(short Position, short FAR* TurnDial) 
{
	// TODO: Add your control notification handler code here
	m_pctbar2.SetValue(Position);	
	
}

void CGraphicalControls::OnPageUpDial32ctrl4(short Position, short FAR* TurnDial) 
{
	// TODO: Add your control notification handler code here
	m_pctbar2.SetValue(Position);	
	
}

void CGraphicalControls::OnThumbPositionDial32ctrl4(short Position, short FAR* TurnDial) 
{
	// TODO: Add your control notification handler code here
	m_pctbar2.SetValue(Position);	
	
}
