//   (c) 1996  ProtoView Development Co., All rights reserved
//	ProtoView TreeView OCX define file.

#ifndef _PTREEDEFINES
#define _PTREEDEFINES

// Defines of constants for Add Method

#define pvtPositionInOrder  0
#define pvtPositionBefore   1
#define pvtPositionAfter    2


// Defines of constants for Get Method

#define pvtGetNextSibling  0
#define pvtGetPrevSibling  1
#define pvtGetNextVisible  2
#define pvtGetPrevVisible  3
#define pvtGetNextSelected 4
#define pvtGetPrevSelected 5
#define pvtGetParent       6
#define pvtGetNext         7
#define pvtGetPrevious     8
#define pvtGetChild        9


// Defines of constants for Open Method

#define pvtEnsureVisible 0
#define pvtNode          1
#define pvtChildren      2
#define pvtAllChildren   3
#define pvtUnselect      4
#define pvtAnchor        5
#define pvtCaret         6


// Defines of constants for Standard Pictures

#define pvtNone         -1
#define pvtpicFolders    0
#define pvtpicBoxes1     1
#define pvtpicDocument   2
#define pvtpicHardDisk   3
#define pvtpicProgram    4
#define pvtpicSystemFile 5
#define pvtpicBoxes2     6
#define pvtpicBoxes3     7
#define pvtpicASCIIFile  8
#define pvtpicHelpFile   9


// Defines of constants for Find Method

#define pvtFindNext 				            0
#define pvtFindNextExact            1
#define pvtFindPrevious             2
#define pvtFindPreviousExact        3
#define pvtFindNextSibling          4
#define pvtFindNextSiblingExact     5
#define pvtFindPreviousSibling  				6
#define pvtFindPreviousSiblingExact 7
#define pvtFindNextVisible          8
#define pvtFindNextVisibleExact     9
#define pvtFindPreviousVisible      10
#define pvtFindPreviousVisibleExact 11

#endif // _PTREEDEFINES
